> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get all purchase order items for a specific purchase order

GET https://api.propexo.com/v1/purchase-orders/{purchase_order_id}/items

Get all purchase order items for a specific purchase order

Reference: https://docs.propexo.com/api-reference/rent-manager/purchase-orders/get-all-purchase-order-items-for-a-specific-purchase-order

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `purchase_order_id` (string, required) — The Propexo unique identifier for the purchase order

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (list of PurchaseOrderItem, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### PurchaseOrderItem

- `id` (string, required) — The Propexo unique identifier for the purchase order item
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Method | |---| | GET /PurchaseOrders |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | |---| | GET /PurchaseOrders |
- `x_location_id` (string, required, nullable) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations. | Method | |---| | GET /PurchaseOrders |
- `description` (string, required, nullable) — Description of the purchase order item | Method | |---| | GET /PurchaseOrders |
- `stock_code` (any, required) — The stock code for the purchase order itemThis field will always be null for RENTMANAGER
- `quantity_ordered` (string, required, nullable) — The quantity ordered for the purchase order item | Method | |---| | GET /PurchaseOrders |
- `unit_price_in_cents` (double, required, nullable) — The unit price, in cents, of the purchase order item | Method | |---| | GET /PurchaseOrders |
- `total_cost_in_cents` (double, required, nullable) — The total cost, in cents, of the purchase order item | Method | |---| | GET /PurchaseOrders |
- `cost_code` (any, required) — The cost code of the purchase order itemThis field will always be null for RENTMANAGER
- `category_code` (any, required) — The category code for the purchase order itemThis field will always be null for RENTMANAGER
- `purchase_order_id` (string, required) — The Propexo unique identifier for the purchase order | Method | |---| | GET /PurchaseOrders |
- `construction_job_id` (any, required) — The Propexo unique identifier for the construction jobThis field will always be null for RENTMANAGER
- `financial_account_id` (string, required, nullable) — The Propexo unique identifier for the financial account | Method | |---| | GET /PurchaseOrders |
- `custom_data` (PurchaseOrderItemCustomData, required, nullable)
- `associated_invoice_ids` (list of string, required) — The IDs for invoices that are associated with the purchase order itemThis field is not currently hydrated for RENTMANAGER
- `property_id` (string, required) — The Propexo unique identifier for the property
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `RENTMANAGER`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### PurchaseOrderItemCustomData

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": [
    {
      "id": "clwktsp9v000008l31iv218hn",
      "created_at": "2024-03-21T15:38:08.337Z",
      "updated_at": "2024-03-22T10:59:45.119Z",
      "last_seen": "2024-03-22T10:59:45.119Z",
      "x_id": "12",
      "x_property_id": "6",
      "x_location_id": "1",
      "description": "Office supplies restock",
      "stock_code": null,
      "quantity_ordered": "10",
      "unit_price_in_cents": 2500,
      "total_cost_in_cents": 25000,
      "cost_code": null,
      "category_code": null,
      "purchase_order_id": "cmgfa2sta13334133751s3g7ak1mq1614",
      "construction_job_id": null,
      "financial_account_id": "cmgjprasu79183794371b9g9kvrcrejv",
      "custom_data": {},
      "associated_invoice_ids": [
        "string"
      ],
      "property_id": "clwi5xiix000008l6ctdgafyh",
      "integration_id": "clwh5u07w000508me66sfh3um",
      "integration_vendor": "RENTMANAGER"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/purchase-orders/purchase_order_id/items"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/purchase-orders/purchase_order_id/items';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/purchase-orders/purchase_order_id/items"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/purchase-orders/purchase_order_id/items")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/purchase-orders/purchase_order_id/items")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/purchase-orders/purchase_order_id/items', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/purchase-orders/purchase_order_id/items");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/purchase-orders/purchase_order_id/items")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```